Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcckit.data
Class DataPlot

    java.lang.Object
      jcckit.data.DataContainer
          jcckit.data.DataPlot

public class DataPlot
extends DataContainer

A plot is a `DataContainer` of `DataCurves`.

Author:
  Franz-Josef Elmer

Field Summary
`static java.lang.String` | `CURVES_KEY` Config parameter key.
`static java.lang.String` | `DATA_KEY` Config parameter key.

Constructor Summary
`DataPlot()` Creates an empty instance.
`DataPlot(ConfigParameters config)` Creates an instance from the specified config parameters.

Method Summary
`static DataPlot` | `create(ConfigParameters config)` Convenient method to create a `DataPlot` based on the specified config parameters.
`protected boolean` | `isValid(DataElement element)` Returns `true` if `element` is an instance of `DataCurve`.

Methods inherited from class jcckit.data.DataContainer
`addDataListener, addElement, getElement, getIndexOf, getNumberOfElements, insertElementAt, removeDataListener, removeElementAt, replaceElementAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CURVES_KEY

    public static final java.lang.String CURVES_KEY

  Config parameter key.

  See Also:
    Constant Field Values

### DATA_KEY

    public static final java.lang.String DATA_KEY

  Config parameter key.

  See Also:
    Constant Field Values

Constructor Detail

### DataPlot

    public DataPlot()

  Creates an empty instance.

### DataPlot

    public DataPlot(ConfigParameters config)

  Creates an instance from the specified config parameters.

  Key & Default Value | Type | Mandatory | Description
  --- | --- | --- | ---
  `curves` | `String[]` | yes | List of keys denoting data curves. Each key refers to config parameters used in the constructor of `DataCurve`.

Method Detail

### create

    public static DataPlot create(ConfigParameters config)

  Convenient method to create a `DataPlot` based on the specified config parameters. It is a short-cut of `new DataPlot(config.getNode("data"))`.

### isValid

    protected boolean isValid(DataElement element)

  Returns `true` if `element` is an instance of `DataCurve`.

  Specified by:
    `isValid` in class `DataContainer`
  Parameters:
    `element` - `DataElement` to be checked.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD